//注意：导航 依赖 element 模块，否则无法进行功能性操作
layui.use(['element', 'laypage'], function () {
    var element = layui.element;

    //…
    var laypage = layui.laypage;
    var currPage = $('#currPage').val();
    //执行一个laypage实例
    laypage.render({
        elem: 'page' //注意，这里的 test1 是 ID，不用加 # 号
        , count: $('#nums').val() //数据总数，从服务端得到
        , limit: 5
        , curr: currPage
        , jump: function (obj, first) {
            //obj包含了当前分页的所有参数，比如：
            console.log(obj.curr); //得到当前页，以便向服务端请求对应页的数据。
            console.log(obj.limit); //得到每页显示的条数
            var searchTitlt = $('#searchTitlt').val();
            var newsType = $('#newsType').val();
            //首次不执行
            if (!first) {
                window.location.href = 'newslist_view?page=' + obj.curr + '&condition=' + searchTitlt + '&type=' + newsType;
            }
        }
    });
});


$('#searchTitlt').on('keypress', function (e) {
    if (e && e.keyCode == 13) { // 按 Esc 
        searchCon()
    }
})

function searchCon() {
    var searchTitlt = $('#searchTitlt').val();
    var newsType = $('#newsType').val();
    window.location.href = 'newslist_view?page=1' + '&condition=' + searchTitlt + '&type=' + newsType;
}